wxWidgets: wxRichTextContextMenuPropertiesInfo Class Reference

| Version: 3.0.5

Public Member Functions | Public Attributes | List of all members
wxRichTextContextMenuPropertiesInfo Class Reference

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/richtext/richtextctrl.h>`

## Detailed Description

wxRichTextContextMenuPropertiesInfo keeps track of objects that appear in the context menu, whose properties are available to be edited.

## Public Member Functions
| wxRichTextContextMenuPropertiesInfo ()
| Constructor. More...
void | Init ()
| Initialisation. More...
bool | AddItem (const wxString &label, wxRichTextObject *obj)
| Adds an item. More...
int | AddMenuItems (wxMenu *menu, int startCmd=wxID_RICHTEXT_PROPERTIES1) const
| Returns the number of menu items that were added. More...
int | AddItems (wxRichTextCtrl *ctrl, wxRichTextObject *container, wxRichTextObject *obj)
| Adds appropriate menu items for the current container and clicked on object (and container's parent, if appropriate). More...
void | Clear ()
| Clears the items. More...
wxString | GetLabel (int n) const
| Returns the nth label. More...
wxRichTextObject * | GetObject (int n) const
| Returns the nth object. More...
wxRichTextObjectPtrArray & | GetObjects ()
| Returns the array of objects. More...
const wxRichTextObjectPtrArray & | GetObjects () const
| Returns the array of objects. More...
wxArrayString & | GetLabels ()
| Returns the array of labels. More...
const wxArrayString & | GetLabels () const
| Returns the array of labels. More...
int | GetCount () const
| Returns the number of items. More...

## Public Attributes
wxRichTextObjectPtrArray | m_objects
wxArrayString | m_labels

## Constructor & Destructor Documentation

## ◆ wxRichTextContextMenuPropertiesInfo()

wxRichTextContextMenuPropertiesInfo::wxRichTextContextMenuPropertiesInfo | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ AddItem()

bool wxRichTextContextMenuPropertiesInfo::AddItem | ( | const wxString & | label,
|  | wxRichTextObject * | obj
| ) |  |

Adds an item.

## ◆ AddItems()

int wxRichTextContextMenuPropertiesInfo::AddItems | ( | wxRichTextCtrl * | ctrl,
|  | wxRichTextObject * | container,
|  | wxRichTextObject * | obj
| ) |  |

Adds appropriate menu items for the current container and clicked on object (and container's parent, if appropriate).

## ◆ AddMenuItems()

int wxRichTextContextMenuPropertiesInfo::AddMenuItems | ( | wxMenu * | menu,
|  | int | startCmd = `wxID_RICHTEXT_PROPERTIES1`
| ) |  | const

Returns the number of menu items that were added.

## ◆ Clear()

void wxRichTextContextMenuPropertiesInfo::Clear | ( |  | ) |

Clears the items.

## ◆ GetCount()

int wxRichTextContextMenuPropertiesInfo::GetCount | ( |  | ) | const

Returns the number of items.

## ◆ GetLabel()

wxString wxRichTextContextMenuPropertiesInfo::GetLabel | ( | int | n | ) | const

Returns the nth label.

## ◆ GetLabels() [1/2]

wxArrayString& wxRichTextContextMenuPropertiesInfo::GetLabels | ( |  | ) |

Returns the array of labels.

## ◆ GetLabels() [2/2]

const wxArrayString& wxRichTextContextMenuPropertiesInfo::GetLabels | ( |  | ) | const

Returns the array of labels.

## ◆ GetObject()

wxRichTextObject* wxRichTextContextMenuPropertiesInfo::GetObject | ( | int | n | ) | const

Returns the nth object.

## ◆ GetObjects() [1/2]

wxRichTextObjectPtrArray& wxRichTextContextMenuPropertiesInfo::GetObjects | ( |  | ) |

Returns the array of objects.

## ◆ GetObjects() [2/2]

const wxRichTextObjectPtrArray& wxRichTextContextMenuPropertiesInfo::GetObjects | ( |  | ) | const

Returns the array of objects.

## ◆ Init()

void wxRichTextContextMenuPropertiesInfo::Init | ( |  | ) |

Initialisation.

## Member Data Documentation

## ◆ m_labels

wxArrayString wxRichTextContextMenuPropertiesInfo::m_labels

## ◆ m_objects

wxRichTextObjectPtrArray wxRichTextContextMenuPropertiesInfo::m_objects